
TYPO3.Flow - Bug # 30614

Status: Resolved Priority: Must have
Author: Peter Russ Category: Security
Created: 2011-10-06 Assigned To:
Updated: 2012-05-18 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Use of undefined policies throws exception
Description

Notice: Undefined index: Test in
/srv/c/cdas/src/shared/Data/Temporary/Development/Cache/Code/FLOW3_Object_Classes/TYPO3_FLOW3_Security_Policy_PolicyService_Original.php line 317
ervice_Original.php line 317
35 TYPO3\FLOW3\Error\ErrorHandler::handleError(8, "Undefined index: Test",
"/srv/c/cdas/src/shared/Data/Temporary/Development/…3_FLOW3_Security_Policy_PolicyService_Original.php", 317, array)

This happens due the fact, that there are roles available which are not define in any Policy. I would expect that in such a case a
Access denied would occure. To fix just check if the key is set ;-) (see attached patch)

Keep on rocking....

History
#1 - 2011-10-06 23:26 - Peter Russ
- File patch.30614.diff added

#2 - 2011-10-19 10:03 - Karsten Dambekalns
- Subject changed from TYPO3\FLOW3\Error\Exception thrown in file ErrorHandler.php  to Use of undefined policies throws exception
- Category changed from - Error Handler Report - to Security
- Assigned To deleted (Andreas Förthner)

#3 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#4 - 2012-05-18 18:58 - Andreas Förthner
- Status changed from New to Resolved
- Has patch set to No

This is fixed by: https://review.typo3.org/#/c/10104/

Files
patch.30614.diff 1.4 kB 2011-10-06 Peter Russ
